com.google.gwt.dom.builder.client

## Class DomModBuilder

- java.lang.Object
- - com.google.gwt.dom.builder.shared.AbstractElementBuilderBase<R>
  - - com.google.gwt.dom.builder.client.DomElementBuilderBase<ModBuilder,ModElement>
    - - com.google.gwt.dom.builder.client.DomModBuilder

All Implemented Interfaces:
  ElementBuilderBase<ModBuilder>, ModBuilder

    public class DomModBuilder
    extends DomElementBuilderBase<ModBuilder,ModElement>
    implements ModBuilder

DOM-based implementation of `ModBuilder`.

### Constructor Summary

Constructors
Constructor and Description
`DomModBuilder(DomBuilderImpl delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ModBuilder` `cite(SafeUri cite)` A URI designating a document that describes the reason for the change.
`ModBuilder` `cite(java.lang.String cite)` A URI designating a document that describes the reason for the change.
`ModBuilder` `dateTime(java.lang.String dateTime)` The date and time of the change.

### Methods inherited from class com.google.gwt.dom.builder.client.DomElementBuilderBase

`assertCanAddAttribute, attribute, attribute, className, dir, draggable, getDelegate, id, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, tabIndex, title, trustedStart`

### Methods inherited from class com.google.gwt.dom.builder.shared.AbstractElementBuilderBase

`end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, getReturnBuilder, html, isChildElementSupported, isEndTagForbidden, style, text`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

`attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

### Constructor Detail

#### DomModBuilder

    DomModBuilder(DomBuilderImpl delegate)

### Method Detail

#### cite

    public ModBuilder cite(SafeUri cite)

Description copied from interface: `ModBuilder`
A URI designating a document that describes the reason for the change.

Specified by:
  `cite` in interface `ModBuilder`
See Also:
  W3C HTML Specification

#### cite

    public ModBuilder cite(java.lang.String cite)

Description copied from interface: `ModBuilder`
A URI designating a document that describes the reason for the change.

Specified by:
  `cite` in interface `ModBuilder`
See Also:
  W3C HTML Specification

#### dateTime

    public ModBuilder dateTime(java.lang.String dateTime)

Description copied from interface: `ModBuilder`
The date and time of the change.

Specified by:
  `dateTime` in interface `ModBuilder`
See Also:
  W3C HTML Specification